Folder Crypt Features

  • Encrypt your WindowsTM files or folders using true low level encoding and standard algorithms:

    • DES (64 bits key)
    • Triple DES (128 bits key)
    • ArcFour (up to 2048 bits key )
    • AES-Rijndael (up to 256 bits key)
    • Blowfish (up to 448 bits key)

  • Hide and protect sensible data and documents easily. Unlike most similar applications, Folder Crypt implements a real bit-per-bit data encryption. It is not possible to recover encrypted data without the original passphrase.
  • No trace of encrypted files remains on original computer (files can be shredded from physical devices before encryption)

Folder Crypt is a Microsoft .NET Framework smart client application, which guarantees next generation robustness and algorithm correctness.

Folder Crypt implements standard encryption algorithms and does not have any backdoor available. It is possible to verify that by purchasing Folder Crypt encryption library source code.

Before

After


Folder Crypt - How to encrypt Windows files

HOW TO ENCRYPT ONE OR MORE FILES

  1. Select the Folder/New... menu item.

  2. A dialog will ask for the name of the encrypted archive to be created, that is the .crypt file that will contain the files.

  3. Another dialog will appear, asking for the file or the files to be added to the encrypted archive.
    - OR -
    You can just drag and drop the files you want to encrypt into the Folder Crypt window.

  4. A "data loss warning appear". Since the process of encryption strongly depends on the passphrase or password, it is not reversible if the passphrase is lost. Encryption algorithms are among the safest and strongest available. There is no hope to restore a folder if the passphrase is lost. You may avoid to display every time the "data loss" warning, by deselecting the proper check box in the "View/Options" menu item.

  5. The encryption form will be shown. The files will be locked to their original directory, that is, a .crypt file will appear in place of the original file or files. You may decide to lock to another folder instead, by clicking the "..." button - in that case the .crypt file will be saved into another directory.

  6. Now you may select the encryption algorithm in the Encryption Algo combo box. Every algorithm available in the list is industry standard, widely used in security applications. Those algorithms work on a supplied passphrase which is used to compute the key and initialization vector. Choosing the algorithm is not mandatory: a default one will always be chosen for you (in the picture above, the ArcFour algorithm). The default algorithm can be set in the Options window.

  7. The most important step is to supply a passphrase. A passphrase is one or more passwords. Please be sure to write the passphrase down, and to store it in a secure location. It is not possible to recover the contents of a folder without entering the passphrase. You can obtain a secure random password by using the random password generator.
    When you type or paste the password, the password strength meter just above the password text box, displays how much your password is strong. If you move the mouse pointer over the meter, a password strength index will be shown. The meter will be red for very unsecure passwords, yellow for medium strength passwords and green for strong passwords. It is advisable to always use "green" passwords, but that is not mandatory.

  8. Press "Encrypt".

  9. The encryption process takes place.


Folder Crypt - How to encrypt a Windows folder

HOW TO ENCRYPT A FOLDER

  1. Select the folder you wish to unlock by selecting the menu item "Folder/Lock.."

  2. A "data loss warning appear". Since the process of locking strongly depends on the passphrase, it is not reversible if the passphrase is lost. Encryption algorithms are among the safest and strongest available. There is no hope to restore a folder if the passphrase is lost. You may avoid to display every time the "data loss" warning, by deselecting the proper check box in the "View/Options" menu item.

  3. The folder to encrypt is automatically selected, and its path is described after "Encrypting ... " label. The folder will be locked to its original directory, that is, a .crypt file will appear in place of the original folder. You may decide to lock to another folder instead, by clicking the "..." button - in that case the .crypt file will be saved into another directory.

  4. If the "Recurse Subdirectories" check box is checked, the selected folder will be encrypted with all its subfolders. If not, only the contents of the folder without its subfolders will be encrypted.
  5. If the "Keep original folder" check box is checked, the folder will not be moved inside the .crypt file, but it will be copied into it. So, the original folder will be left untouched by the locking operation. This is useful if you want to make a copy of the locked folder, for instance to send it via e-mail or to archive it and burn it into a CD-ROM.
  6. If the "Shred original folder" check bos is checked, the original folder and all of its contents will be shredded. Shredding is the action to locate the files area on the physical device (ie: hard disk) and then rewrite that area several times with byte patterns (Folder Crypt uses the 1-0-1 byte pattern). Doing so you prevent the discover of the original data by any software or hardware means.
  7. Now you may select the encryption algorithm. Every algorithm available in the list is industry standard, widely used in security applications. Those algorithms work on a supplied passphrase which is used to compute the key and initialization vector. Choosing the algorithm is not mandatory: a default one will always be chosen for you. The default algorithm can be set in the Options window.
  8. The most important step is to supply a passphrase. A passphrase is one or more passwords. Please be sure to write the passphrase down, and to store it in a secure location. It is not possible to recover the contents of a folder without entering the passphrase. You can obtain a secure random password by using the random password generator.
  9. Press "Encrypt".
  10. The encryption process takes place.


Folder Crypt - How to decrypt a Windows folder

HOW TO DECRYPT AN ENCRYPTED ARCHIVE (.crypt file)

  1. Select the encrypted archive in Windows Explorer, right click and select Decrypt with Folder Crypt .

  2. - Or - Open Folder Crypt and select the Menu Item "Folder/Open Encrypted", or press the "Open" icon in the toolbar.

  3. - Or - Drag a .crypt file inside an opened Folder Crypt window.

  4. Enter the passphrase or password you used when the archive was encrypted. Note that there is NO POSSIBLE WAY to recover data if the password is lost. Because of that, it is always suggested to make a backup copy of your data or to store the password in a safe way.

  5. Press "Ok". The original data is now unlocked and ready to be used.


Folder Crypt - Folder Lock

FOLDER ENCRYPTION EXPLAINED

When Folder Crypt encrypts data, the following actions take place:

  1. The data to be encrypted are scanned to see if you have full read/write permissions on them.
  2. The data are copied to a solid archive, somewhat similar to a normal zip archive.
  3. The passphrase you supplied is turned into a strong password by extracting the hash code through standard hashing algorithm (SHA).
  4. The solid archive is bit per bit encrypted using the algorithm indicated by the user.
  5. The encrypted solid archive (.crypt file) is written to the parent folder of the original data.
  6. The original data is deleted. If you selected the shredding option, the data will be shredded.


Folder Crypt - Folder Unlock

FOLDER DECRYPTION EXPLAINED

When Folder Crypt decrypts encrypted data, the following actions take place:

  1. The passphrase you supplied is turned into a strong password by extracting the hash code through SHA standard algorithm.
  2. The encrypted solid archive (.crypt file) is decrypted using the supplied algorithm and the strong password.
  3. The result of decryption is copied into a temporary folder. This is a solid archive of the original folder.
  4. The solid archive is expanded into the original data in the directory of the .crypt file or another directory specified by the user.
  5. The encrypted solid archive is deleted
  6. The encrypted folder is deleted - provided that user did not check the "Preserve .crypt file" checkbox option.


Folder Crypt - How to encrypt a Windows folder

USING ENCRYPTED FOLDER LIKE A NORMAL WINDOW FOLDER

If you need "real life" "day-by-day" encryption, you need the fastest options combination, so that you can use folder crypt as a normal folder replacement. By doing so, you will gain the security of a real bit-per-bit encryption, along with the easy of use of a normal Windows folder.

Here are some tips on how to configure such a folder:

  1. Choose "Enable metadata" in Options
  2. Select the folder you need to secure
  3. Choose "DES (64 bit)" encryption algorithm
  4. Encrypt the folder

You can use the encrypted folder as a normal Windows folder. Open it by double-clicking its icon. Work normally on it. Just be sure to save before exit. The modified document will be secured and available for future use.


Untitled Document

SETTING FOLDER ENCRYPTION OPTIONS

When encrypting a folder, you can set 3 options as shown in the Options panel to the right:

RECURSE SUBDIRECTORIES OPTION

The "Recurse Subdirectories" checkbox placed below the folder full path has the following meaning:

- Checked.
The folder will be completely encrypted, with all its files and the files of all its subfolders through all its path tree. After the encryption the original folder with all subfolders will be deleted. (Warning: this action is irreversible. You must remember passphrase/algorithm to recover folder contents).

- Unchecked.
Only the files contained into the folder are encrypted. The folder's subfolders, if any, are left untouched. After the encryption, only the encrypted files into the folder will be deleted. The original folder tree will be left untouched.

KEEP ORIGINAL FOLDER OPTION

When the "Keep original folder" option is set, the folder will not be moved inside the .crypt file, but it will be copied into it. So, the original folder will be left untouched by the locking operation. This is useful if you want to make a copy of the locked folder, for instance to send it via e-mail or to archive it and burn it into a CD-ROM.

SHRED ORIGINAL FOLDER OPTION

If the "Shred original folder" option is set, then the original files being encrypted are shredded. The physical area of the hard disk in which the original data was before moving, can, in some unfortunate cases, be recovered. Actually, when the Operating System deletes a file, this is just MARKED it for deletion. The portion of the file in the hard disk is left untouched. Of course, new data can still be overwritten over the old data. But in some unfortunate occasions (and most of cases on very large hard disk) this overwrite does not happen. "Shredding" means that the original position of data is overwritten more than one time to prevent "undelete" actions. Folder Crypt v1.6 will adopt the 1-0-1 shredding strategy: first it writes the file area with the FF byte (a sequence of 1 bit), then with 00 byte (0 bit), then again with FF byte. If you should have more shredding needs, please evalute NShred from LittleLite Software.


Folder Crypt - Extract File

HOW TO EXTRACT A FILE FROM AN ENCRYPTED ARCHIVE

It's not necessary to unlock an encrypted archive everytime a file from it it's needed . You can just open the encrypted folder and extract the file or the files you need.

You can even launch the file by choosing "Open", provided that the file extension is registered with an application in Windows. If you modify/edit the file obtained, a prompt will ask you if you want to update the encrypted archive with the modified file.

  1. Open an encrypted folder (file with .crypt extension)
  2. Select the file or the files that you need.
  3. Right click on one of the selected files.
  4. Press "Extract.." to extract the file/s to a directory of your choose
  5. or Press "Extract to desktop" to extract the file/s directly to your desktop.

You can also drag (click the file icon in the Folder Crypt list and moving it outside keeeping it clicked) the file out in the desktop or in the destination folder.

If you select "Delete", the selected file(s) will be deleted from the encrypted archive.

If you select "Rename", the selected file will be renamed.


Folder Crypt - Drag And Drop

HOW TO ENCRYPT/DECRYPT A FOLDER BY DRAG AND DROP

A common method for manipulating files under Windows is known as "Drag and drop". The user moves the pointer over an icon representing a file or a folder and presses a mouse button. He holds the button down while moving the pointer (dragging the file) to another place, usually a window or an icon for an application program, and then releases the button (dropping the file).

Folder Crypt implements drag and drop operations with Windows environment for both encryption and decryption.

1. FOLDER ENCRYPTION BY DROPPING A FOLDER

Drag a folder and drop it into the Folder Crypt window: the encryption form will appear asking for an encryption method and a password.

2. FILE ENCRYPTION BY DROPPING ONE OR MORE FILES

Select one or more files and drag them into the Folder Crypt window: the encryption form will appear. First, user must enter the name of the newly created archive (the name of the .crypt file that will be created), then a form will appear asking for an encryption method and a password.

3. FOLDER DECRYPTION BY DROPPING A .CRYPT FILE

Drag a file which extension is .crypt (an encrypted folder) into the Folder Crypt window: the decryption process will begin by asking the user a password for that archive.

4. ADDING A FILE TO AN ENCRYPTED ARCHIVE

When you open an archive with Folder Crypt (as in the picture below), it is possible to add one (or more) file(s) to that archive by just dragging it (them) to the opened window. If you drag them with the right mouse button, you can choose to "copy" the files (original files will be left), or to "move" the files (original files will be deleted).


Passphrase & Strong password

PASSPHRASE / PASSWORD

A passphrase is a password that contains one ore more spaces. You can insert a normal sentence as the password of your "to be encrypted" folder or set of files. Example of correct passphrases:

  • mario123
  • djskll3JLJKLJKLSiww
  • il mio cane è un Alano

All passwords are case-sensitive, so that

  • abcdefghi

is different from

  • aBcdefGhi

STRENGTH PASSPHRASE METER

The password strength meter that is found over the password textbox is compliant with the Password Policies studied by the Mandylion Research Labs. You can use it to determine how your password are strong, and decide to keep them or create new.

STRONG PASSWORD

In order to avoid attacks based on dictionary searches the password is automatically turned into a strong password by extracting the hash code out of the supplied passphrase, which will be, then, the key and initialization vector for encryption algorithms.

You can also ask Folder Crypt to generate for you a strong password. To do so, select from the menu "Action/Strong Password Generator".

By adjusting the length of the password, a new password of the selected length is generated. It appears on the top of the form. Clicking "Copy" you can copy it in the system clipboard. You can then apply the new password to a folder or set of files to be encrypted by pressing "CTRL+V" or by right clicking on the text box "Password" and selecting "Paste".

The actual binary password that will be used in the encryption process is shown below in hexadecimal notation. It is the result of the hash function applied to the password on the top. All of the encryption algorithms use SHA384 hash function to generate the password, except AES at 256 bits which uses the SHA512 hash function.


Folder Crypt - Solid Archive

SOLID ARCHIVE

Before encryption takes place, the folder is turned into a "solid archive" and places into the user's application data directory. The solid archive is similar to a normal TAR or ZIP archive. You can set the compression level for an archive by choosing it in the Options form.


Folder Crypt - Open Encrypted Archive

OPEN ENCRYPTED ARCHIVE

In order to view the contents of an encrypted archive you must open it, by supplying the correct encryption method and passphrase. The encryption method will be automatically recognized by Folder Crypt when the archive is opened.

When an encrypted archive is opened you can:

  • Restore the original folder or files it contains
  • Open file (by double clicking on it or by choosing Open). The file will be decrypted in the user temporary directory and then opened with the corresponding Windows application. The file will be deleted from temporary directory upon exiting from Folder Crypt.
  • Extract one or more of its files in a directory of your choice or on the desktop
  • See the details of every file (by selecting one of the View menu items):
    • Name of File
    • File Size (exact file size, not the size used on disk)
    • Type of the file
    • Creation Date
    • Creation Time
    • CRC (checksum)
    • Original file path (the path of the file in the position from which it was encrypted)
  • Delete one or more files from the archive
  • Rename one file
  • See the properties of the file and the archive in which the file in encrypted

These operations can be made by selecting one or more file and clicking with the right mouse button.


Folder Crypt - View Archive Contents

VIEW CONTENTS OF .CRYPT FILE

In order to view the contents of an encrypted folder (.crypt file) you are asked to input the passphrase and encryption algorithm. If these are correct, the contents of the folder are displayed.

At that time, you can restore the original folder by selecting "Unlock", or Extract one or more files by right clicking on those and selecting "Extract".


Folder Crypt - Shredding

SHREDDING ORIGINAL FOLDER

By using Folder Crypt you want maximum security over your data. Apart from Folder Crypt's strong cryptographic capabilities, sometimes data can be revelealed by inspecting the hardware of the computer in which the data was before being encrypted.

Actually the data is first moved from its original position and then encrypted. The physical area of the hard disk in which the original data was before moving, can, in some unfortunate cases, be recovered. Actually, when the Operating System deletes a file, this is just MARKED it for deletion. The portion of the file in the hard disk is left untouched. Of course, new data can still be overwritten over the old data. But in some unfortunate occasions (and most of cases on very large hard disk) this overwrite does not happen.

"Shredding" means that the original position of data is overwritten more than one time to prevent "undelete" actions. In particular, you can select the following shredding methods in the options dialog:

SIMPLE METHOD

The Simple method zeroes out a file area, that is overwrite the whole file area with 0x00 byte (0 bit).

PSEUDO-RANDOM METHOD

The Pseudo-Random method overwrites five times the file's area with pseudorandom generated sequences of bytes.

COMPLEX METHOD

The Complex method overwrite the file area with three series of:

  1. 0x00 (00000000)
  2. 0xFF (11111111)
  3. 0x00 (00000000)

bytes.

METHOD DoD 5520-22M / NISPOM 8-306

The Folder Crypt implementation of the DoD 5520-22M clearing recommendation follows this pattern:

Three iterations completely overwrite the file area six times. Each iteration makes two write-passes over the entire file area: the first pass inscribes ONEs (1) and the next pass inscribes ZEROes (0). After the third iteration, a seventh pass writes the government-designated code “246” across the file area (in hex 0xF6)

For more information regarding clearing and sanitizing security standard DoD 5220.22-M see US Defence Security Service Web Site (Chapter 8, Clearing and Sanitization Matrix ).

METHOD GUTMANN

The patterns used for overwriting are based on Peter Gutmann's paper "Secure Deletion of Data from Magnetic and Solid-State Memory" and they are selected to effectively remove the magnetic remnants from the hard disk. In particular, the overwrite scheme - taken from the document above - is the following:

Overwrite Data
Pass No. | Data Written
1 | Random
2 | Random
3 | Random
4 | Random
5 | 01010101 01010101 01010101 0x55
6 | 10101010 10101010 10101010 0xAA
7 | 10010010 01001001 00100100 0x92 0x49 0x24
8 | 01001001 00100100 10010010 0x49 0x24 0x92
9 | 00100100 10010010 01001001 0x24 0x92 0x49
10 | 00000000 00000000 00000000 0x00
11 | 00010001 00010001 00010001 0x11
12 | 00100010 00100010 00100010 0x22
13 | 00110011 00110011 00110011 0x33
14 | 01000100 01000100 01000100 0x44
15 | 01010101 01010101 01010101 0x55
16 | 01100110 01100110 01100110 0x66
17 | 01110111 01110111 01110111 0x77
18 | 10001000 10001000 10001000 0x88
19 | 10011001 10011001 10011001 0x99
20 | 10101010 10101010 10101010 0xAA
21 | 10111011 10111011 10111011 0xBB
22 | 11001100 11001100 11001100 0xCC
23 | 11011101 11011101 11011101 0xDD
24 | 11101110 11101110 11101110 0xEE
25 | 11111111 11111111 11111111 0xFF
26 | 10010010 01001001 00100100 0x92 0x49 0x24
27 | 01001001 00100100 10010010 0x49 0x24 0x92
28 | 00100100 10010010 01001001 0x24 0x92 0x49
29 | 01101101 10110110 11011011 0x6D 0xB6 0xDB
30 | 10110110 11011011 01101101 0xB6 0xDB 0x6D
31 | 11011011 01101101 10110110 0xDB 0x6D 0xB6
32 | Random
33 | Random
34 | Random
35 | Random

If you should have more shredding needs, please evalute NShred (http://www.littlelite.net/nshred)


Encryption Algorithms - DES and Triple DES

"DES" and "Triple DES"
Data Encryption Standard

  • What is it?
  • How Folder Crypt implements it?

What is it

The algorithm described in this standard specifies both enciphering and deciphering operations which are based on a binary number called a key.

A key consists of 64 binary digits ("O"s or "1"s) of which 56 bits are randomly generated and used directly by the algorithm. The other 8 bits, which are not used by the algorithm, are used for error detection. The 8 error detecting bits are set to make the parity of each 8-bit byte of the key odd, i.e., there is an odd number of "1"s in each 8-bit byte. Authorized users of encrypted computer data must have the key that was used to encipher the data in order to decrypt it. The encryption algorithm specified in this standard is commonly known among those using the standard. The unique key chosen for use in a particular application makes the results of encrypting data using the algorithm unique. Selection of a different key causes the cipher that is produced for any given set of inputs to be different. The cryptographic security of the data depends on the security provided for the key used to encipher and decipher the data.

 DES works by encrypting groups of 64 message bits, which is the same as 16 hexadecimal numbers. To do the encryption, DES uses "keys" where are also apparently 16 hexadecimal numbers long, or apparently 64 bits long. However, every 8th key bit is ignored in the DES algorithm, so that the effective key size is 56 bits. But, in any case, 64 bits (16 hexadecimal digits) is the round number upon which DES is organized.

DES is a block cipher--meaning it operates on plaintext blocks of a given size (64-bits) and returns ciphertext blocks of the same size. Thus DES results in a permutation among the 2^64 (read this as: "2 to the 64th power") possible arrangements of 64 bits, each of which may be either 0 or 1. Each block of 64 bits is divided into two blocks of 32 bits each, a left half block L and a right half R. (This division is only used in certain operations.)

The DES algorithm turns a 64-bit message block M into a 64-bit cipher block C. If each 64-bit block is encrypted individually, then the mode of encryption is called Electronic Code Book (ECB) mode. There are two other modes of DES encryption, namely Chain Block Coding (CBC) and Cipher Feedback (CFB), which make each cipher block dependent on all the previous messages blocks through an initial XOR operation.

The DES algorithm is fully described in http://www.itl.nist.gov/fipspubs/fip46-2.htm

How Folder Crypt implements it

The algorithm needs a KEY and an INITIALIZATION VECTOR (iv) to perform encryption. In the Folder Crypt implementation the key is given by the first 64 bit of SHA384 hash extracted from the password or passphrase supplied by the user.

So, for example, if the passphrase is "Romanoff", the key is generated from the hash code calculated with the SHA384 algorithm of the bytes that form the string

"Romanoff"

The bytes are extracted with UTF8 encoding.

The INITIALIZATION VECTOR is given by the following 64 bits in the hash sequence.

Triple DES is the application of the DES algorithm for three successive times. The Folder Crypt implementation allows you to select the length of the key between 128 and 192 bits.

The block size for the DES and Triple DES algorithm is fixed at 64 bit.


Encryption Algorithms - Rijndael

Rijndael (AES)

  • What is it?
  • How Folder Crypt implements it?

What is it

Since year 2001, Rijndael has been approved as the new American Encryption Standard (AES).

Rijndael is a block cipher, designed by Joan Daemen and Vincent Rijmen.

The key length is defined to be either 128, 192, or 256 bits in accordance with the requirements of the AES. Note that unlike DES and Twofish, the key size must be one of these values; it is not allowed to be arbitrary. Also unlike other AES candidates, Rijndael has a variable block length of either 128, 192, or 256 bits. All nine combinations of key length and block length are possible, although the official AES block size is 128 bits. Both block length and key length can be extended very easily to multiples of 32 bits. The number of rounds, or iterations of the main algorithm, can vary from 10 to 14 and is dependent on the block size and key length. The low number of rounds has been one of the main criticisms of Rijndael, but if this ever becomes a problem the number of rounds can easily be increased at little extra cost by increasing the block size and key length.

The detailed description of the actual algorithm is contained in the official Rijndael paper submitted for the AES by the algorithm's designers. The paper is rather technical and a certain degree of mathematical proficiency is required of the reader in order to understand it.

The Rijndael algorithm specification can be found here.

How Folder Crypt implements it

In Folder Crypt implementation of Rijndael, you can select the length of the key and/or the block between values of 128, 192 or 256 bits. You can select those values in the "Options" form (menu' Action/Options).

The key is given by the first 128/192/256 bits of SHA hash function extracted from the key entered by the user when encrypting the folder. If the length of the key plus the block is minor or equal to 384 bits, then the SHA384 algorithm is used. If greater, the SHA512 algorithm is used.

So, for example, if the passphrase is "Romanoff", the key is generated from the hash code calculated with the SHA384 algorithm of the bytes forming the string

"Romanoff"

The bytes are extracted with UTF8 encoding. The block is given by the following 128 bits in the hash sequence.


Encryption Algorithms - ArcFour

ArcFour (ARC4)

  • What is it?
  • How Folder Crypt implements it?

What is it

The ARC4 algorithm ("Alleged RC4") is compatible with the RC4(TM) algorithm that is one of the most popular encryption algorithms available, proprietary of RSA Security Inc.

It is a simple algorithm for random sequence generation. The algorithm is immune to differential and linear cryptoanalysis. The logic behind can generate thousands of possible states. It does not have a block operation mode (it is a stream cipher) and do not use padding.

Arcfour is successfully used in several environments, including IPSEC, SSH, and TLS. There are existing Internet Drafts that describe how it can be applied, see e.g. [Caronni], [SSH].

The algorithm can be used with a variety of key lengths. It specifically can be operated with 40-bit keys and with 128-bit keys.

[Caronni] Caronni, G., Waldvogel, M. "The ESP Stream Transform", ftp://ds.internic.net/internet-drafts/ draft-caronni-esp-stream-01.txt, September, 1996.
[SSH] Ylonen, T., "SSH Transport Layer Protocol", ftp://ietf.org/internet-drafts/draft-ietf-secsh-transport-00.txt, March, 1997.

How Folder Crypt implements it

The Folder Crypt implementation of ArcFour has various key lengths, from 128 to 2048 bits.

The key is constructed with the first bits of SHA hash function extracted from the key entered by the user when encrypting the folder. If the length of the key is superior to 512 bits (result of SHA512 hash algorithm), the remaining bits are taken from successive appending of the same hash code (up to 4 times for 2048 key length).

So, for example, if the password is "Romanoff", the key is generated from the hash code calculated with the SHA384 algorithm of the bytes forming the string

"Romanoff"

The bytes are extracted with UTF8 encoding.

See Mozilla: A Stream Cipher Encryption Algorithm "Arcfour"


Encryption Algorithms - Rijndael

Blowfish

  • What is it?
  • How Folder Crypt implements it?

What is it

Blowfish is a symmetric block cipher with a variable-length key, from 32 bits to 448 bits, making it ideal for both domestic and exportable use. Blowfish was designed in 1993 by Bruce Schneier as a fast, free alternative to existing encryption algorithms. Since then it has been analyzed considerably, and it is slowly gaining acceptance as a strong encryption algorithm. Blowfish is unpatented and license-free, and is available free for all uses.

The original Blowfish paper was presented at the First Fast Software Encryption workshop in Cambridge, UK (proceedings published by Springer-Verlag, Lecture Notes in Computer Science #809, 1994) and the April 1994 issue of Dr. Dobb's Journal. "Blowfish--One Year Later" appeared in the September 1995 issue of Dr. Dobb's Journal.

Many cryptographers have examined Blowfish, although there are few published results. Serge Vaudenay examined weak keys in Blowfish; there is a class of keys that can be detected--although not broken--in Blowfish variants of 14 rounds or less. Vincent Rijmen's Ph.D. thesis includes a second-order differential attack on 4-round Blowfish that cannot be extended to more rounds.

The Blowfish algorithm specification can be found here.

How Folder Crypt implements it

In Folder Crypt implementation of Blowfish, you can select the length of the key and/or the block between values of 128, 256 or 448 bits. You can select those values in the "Options" form (menu Action/Options).

The key is given by the first 128/256/448 bits of SHA hash function extracted from the key entered by the user when encrypting the folder. If the length of the key plus the block is minor or equal to 384 bits, then the SHA384 algorithm is used. If greater, the SHA512 algorithm is used.

The bytes are extracted with UTF8 encoding. The block is given by the following 128/256/448 bits in the hash sequence.


Folder Crypt - Options

OPTIONS

1. ALGORITHM SELECTION

Here you can select the defaul encryption algorithm. They are sorted for complexity. A more complex algorithm, in general, is more difficult to break - but encryption speed can be less fast.

If unsure, a good compromise between speed and complexity is the AES with 128 bit (highlighted).

Remember that this option determines only a default: the algorithm can be choosen every time when encrypting.

2. MISCELLANEOUS

Here you can select miscellaneous options.

3. COMPRESSION

Here you can set the compression level of the encrypted folder. 0 means 'no compression' at all. 9 means 'maximum compression'. A typical folder containing MS WordTM documents can be 1Mb if not compressend and 200kb if compressed. Notice that choosing high compression may affect the encryption speed.

4. TOOLBAR

The toolbar is the bar with four large buttons below the menu in the Folder Crypt window. Here you can determine:

  • If you want to display the toolbar
  • If you want to display the toolbar buttons text

Not displaying the toolbar can save space on the destop, since the Folder Crypt window will be smaller

5. LANGUAGE

Here you can select the program's language.

6. SHREDDING

Here you can select the shredding algorithm applied when the shredding option is on.

SIMPLE METHOD

The Simple method zeroes out a file area, that is overwrite the whole file area with 0x00 byte (0 bit).

PSEUDO-RANDOM METHOD

The Pseudo-Random method overwrites five times the file's area with pseudorandom generated sequences of bytes.

COMPLEX METHOD

The Complex method overwrite the file area with three series of:

  1. 0x00 (00000000)
  2. 0xFF (11111111)
  3. 0x00 (00000000)

bytes.

METHOD DoD 5520-22M / NISPOM 8-306

The NShred implementation of the DoD 5520-22M clearing recommendation follows this pattern:

Three iterations completely overwrite the file area six times. Each iteration makes two write-passes over the entire drive: the first pass inscribes ONEs (1) and the next pass inscribes ZEROes (0). After the third iteration, a seventh pass writes the government-designated code “246” across the drive (in hex 0xF6)

For more information regarding clearing and sanitizing security standard DoD 5220.22-M see US Defence Security Service Web Site (Chapter 8, Clearing and Sanitization Matrix ).

METHOD GUTMANN

The patterns used for overwriting are based on Peter Gutmann's paper "Secure Deletion of Data from Magnetic and Solid-State Memory" and they are selected to effectively remove the magnetic remnants from the hard disk. In particular, the overwrite scheme - taken from the document above - is the following:

Overwrite Data
Pass No. | Data Written
1 | Random
2 | Random
3 | Random
4 | Random
5 | 01010101 01010101 01010101 0x55
6 | 10101010 10101010 10101010 0xAA
7 | 10010010 01001001 00100100 0x92 0x49 0x24
8 | 01001001 00100100 10010010 0x49 0x24 0x92
9 | 00100100 10010010 01001001 0x24 0x92 0x49
10 | 00000000 00000000 00000000 0x00
11 | 00010001 00010001 00010001 0x11
12 | 00100010 00100010 00100010 0x22
13 | 00110011 00110011 00110011 0x33
14 | 01000100 01000100 01000100 0x44
15 | 01010101 01010101 01010101 0x55
16 | 01100110 01100110 01100110 0x66
17 | 01110111 01110111 01110111 0x77
18 | 10001000 10001000 10001000 0x88
19 | 10011001 10011001 10011001 0x99
20 | 10101010 10101010 10101010 0xAA
21 | 10111011 10111011 10111011 0xBB
22 | 11001100 11001100 11001100 0xCC
23 | 11011101 11011101 11011101 0xDD
24 | 11101110 11101110 11101110 0xEE
25 | 11111111 11111111 11111111 0xFF
26 | 10010010 01001001 00100100 0x92 0x49 0x24
27 | 01001001 00100100 10010010 0x49 0x24 0x92
28 | 00100100 10010010 01001001 0x24 0x92 0x49
29 | 01101101 10110110 11011011 0x6D 0xB6 0xDB
30 | 10110110 11011011 01101101 0xB6 0xDB 0x6D
31 | 11011011 01101101 10110110 0xDB 0x6D 0xB6
32 | Random
33 | Random
34 | Random
35 | Random


Folder Crypt - How to Register

HOW TO REGISTER YOUR COPY

Folder Crypt is a shareware software product. It means that it is distributed on a "try and buy" base. You can try the product (without limitations) for 30 days, and after that you are required to register it or uninstall it.

Note that the product will cease to work 30 days after the first installation.

Registered users are eligible to:

  • full e-mail support
  • free upgrades (everytime a new version is released)

To register Folder Crypt connect to http://www.littlelite.net/foldercrypt and press the "Download" button on the right side. Then press the "Purchase" button. You will be sent to our partner "Share-IT" site, which is a secure SSL enabled e-Commerce site. Through "Share-IT" you will be able to purchase one or more licenses for Folder Crypt. If you have any question about payment or registering Folder Crypt, please consult the Share-IT! Customer Care Center

Soon after placing your order, you will receive a registration code by e-Mail that you can apply to the product downloaded from this site, by entering it in the yellow text field shown below, along with your data (name and e-Mail address).

Please note that every field in this form is CASE SENSITIVE. So,

First Name: john

Last Name: edwerton

is different from

First Name: John

Last Name: Edwerton

Once applied, your product is fully registered to you for continued use beyond the 30 day evaluation period. The startup Registration dialog will no longer appear, and your registered name will show up in the application's About dialog.

This is a 'lifetime' registration that is valid for all future versions of the product. After having purchased Folder Crypt, however, you will be granted a 30-day unconditional money back guarantee.


Folder Crypt - License

END USER LICENSE AGREEMENT (EULA)

LICENSE:

  • This Limited Use Software License Agreement (the "Agreement") is a legal agreement between you ("Licensee"), the end-user, and LittleLite Software ("LittleLite") for the use of the "Folder Crypt" software product ("Software"). By using this software or storing this program on a computer hard drive (or other media), you are agreeing to be bound by the terms of this Agreement. If you do not agree to the terms of this Agreement delete the software from all storage media.
  • You may install this program to test and evaluate if it suits your needs and you wish to purchase it. The evaluation period will last for one month (thirty days) starting from the installation date of the product. After that period, the functionalities of the Software will cease to work.
  • The Software is licensed, not sold. Subject to the condition that you are in compliance with the terms of this EULA: (a) you may install and use one copy of the Software, or any prior version for the same operating system, on a single computer for use by a single simultaneous operator; and (b) you may install a single copy of the Software Product, strictly for your own personal use, on one portable computer owned by you. No other use, copying or distribution of the Software is permitted. You may not rent the Software Product, nor may you offer use of it to others through a service bureau or application service provider.
  • This software may be distributed freely on online services, bulletin boards, or other electronic media as long as the files are distributed in their entirety. This software may not be distributed on CD-ROM, disk, or other physical media for a fee without the permission of LittleLite Software.
  • You may not alter this software in any way, including changing or removing any messages or windows.
  • You may not decompile, reverse engineer, disassemble or otherwise reduce this software to a human perceivable form. You may not modify, rent or resell for profit this software, or create derivative works based upon this software. You may not publicize or distribute any registration code algorithms, information, or registration codes used by this software without permission of LittleLite. You may not use any registration codes for the Software that have not been purchased from LittleLite or an authorized representative of LittleLite.
  • You accept responsibility for any network usage costs or any other costs incurred by using this software.

---------------------------------

NO WARRANTIES. - LittleLite EXPRESSLY DISCLAIMS ANY WARRANTY for the SOFTWARE. The SOFTWARE and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement.

The entire risk arising out of use or performance of the SOFTWARE remains with you.

THIS SOFTWARE IS NOT FAULT TOLERANT AND SHOULD NOT BE USED IN ANY ENVIRONMENT WHICH REQUIRES THIS.

NO LIABILITY FOR DAMAGES. In no event shall LittleLite or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this SOFTWARE.

---------------------------------

COPYRIGHT:

Folder Crypt is Copyright LittleLite Software. You must treat the Software like any other copyrighted material.


Folder Crypt - Algorithm Sleection Option

DEFAULT ALGORITHM SELECTION OPTION

You can select here the default encryption algorithm.

To discover which best suites your needs, you could try to inspect "Details..." after encryption or decryption to discover the elapsed time of the operation on your machine. Algortihms are sorted for name and complexity. A more complex algorithm is, in general, more difficult to break - but encryption speed can be slower.

If unsure, a good compromise between speed and complexity is the ARC4 128 bit. The fastes algorithm available is DES 64 bit (highlighted in the picture above), which is best when maximum security is not requested.

Remember that this option determines only a default: the algorithm can be choosen every time when encrypting.


Folder Crypt - Compression Options

COMPRESSION OPTION

Here you can set the compression level of the encrypted folder. A typical folder containing MS WordTM documents can be 1Mb if not compressend and 200kb if compressed at the maximum level. Notice that choosing high compression may affect encryption speed.


Folder Crypt - Details

ENCRYPTION/DECRYPTION DETAILS

Every encryption or decryption operation on Folder Crypt can be inspected by viewing the operations details. This can be done by clicking on the "Details..." button when available, or by selecting "View/Details" menu item.

The Details window will display every action done, a small summary and an elapsed time of the operation, useful to decide which algorithm and compression are more suitable to you.

Clicking the "Copy" button, the window contents will be copied to the system clipboard for future use.


LittleLite Software - Folder Crypt Home Page

FOLDER CRYPT
Advanced low level folder encryption tool

LittleLite Software

Secure password protection for WindowsTM files and folders


Folder Crypt - Miscellaneous Options

MISCELLANEOUS OPTIONS

Here you can select:

  • DISPLAY ENCRYPTION WARNING
    If not set, the encryption warning that advise the user on possible data loss is not displayed anymore.

  • ENABLE FOLDER CRYPT CONTEXT MENU FOR ANY WINDOWS FOLDER
    When Folder Crypt is installed it adds by default a new menu item to all Windows folders named "Encrypt with Folder Crypt". The menu item is displayed when right-clicking on a folder. Calling this item on a folder will run Folder Crypt with the instruction to encrypt that folder. Unchecking means that you do not want the "Encrypt wih Folder Crypt" menu item for every Windows folder. Unsetting this option is not recommended, unless you want to keep your windows system "clean".

  • ENABLE FOLDER CRYPT CONTEXT MENU FOR ANY WINDOWS FILE
    Setting this option a new menu item for any Windows file named "Encrypt with Folder Crypt" will appear . Calling this item on a file will run Folder Crypt with the instruction to encrypt that file. This option is not set by default.

  • SHRED ORIGINAL FOLDER BY DEFAULT
    Setting this option will make the "Shred Original Folder" checkbox in the Encrypt Folder dialog box checked by default.
  • SHOW 'SPLASH SCREEN'
    Deselecting this, will cause the initial splash screen not to appear anymore.
  • ENABLE METADATA
    By default, metadata about the algorithm choosed for encryption is saved inside the encrypted archive to allow the user an easier decryption (he has to remember just the encryption passphrase). To get maximum security, you can disable metadata inside the archive. By doing this you will be prompted everytime for the password AND the encryption method used. If no metadata are inside the encrypted archive, to break it it's necessary to try out every possible combination of passwords and encryption method.


Folder Crypt - Options - Toolbar

TOOLBAR OPTION

The toolbar is the bar with four large buttons below the menu in the Folder Crypt window. Here you can determine:

  • If you want to display the toolbar
  • If you want to display the toolbar buttons text

Not displaying the toolbar can save space on the destop, since the Folder Crypt window will be smaller